View Issue Details

IDProjectCategoryView StatusLast Update
0004969SUMoBugpublic2018-07-05 22:02
ReporterjjhomeAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityhave not tried
Status feedbackResolutionopen 
Product Version5.6.7 
Target VersionFixed in Version 
Summary0004969: Wrong update in skip list causes further wrong update messages, even after fixing
DescriptionSee
https://www.kcsoftwares.com/bugs/view.php?id=4964

Kyle closed with "seems ok". With me, it was not ok:

When the first update message for a new x64 version popped up, I skipped it.
On the next update message for a new x64 version, I entered bug 0004964 here.
It seems that in the meantime the bug that made the x64/x86 mixup possible was already closed.
So with Kyle (no skip entry), there was no error.
With me (Skip list had earlier wrong update notice), the next x64 update was still offered. I checked multiple times. After removing the update from the skip list, my x86 version was immediately correctly identified as up-to-date.

So: A wrong update in the skip list seems to cause further wrong update messages, even after fixing the original bug.
Steps To ReproduceReproducing is not possible for me. You'd have to voluntarily generate an error to make a wrong update message appear, skip that and generate a further wrong update along the same line. Then fix the original error. The wrong update message won't disappear until you delete the entry in the skip list.
TagsNo tags attached.

Relationships

related to 0004964 closedKyle_Katarn SUMo Server ActivePerl (x86) compared with (x64) version 

Activities

Kyle_Katarn

2018-06-22 22:45

administrator   ~0002955

"Skip" feature is only for a specific version number. Should "another" version be released, it would have to be skipped again.
Is this what happened (as per design) or have you face something different (bug)

jjhome

2018-06-25 11:20

reporter   ~0002957

Hi,
it's correct, that a next version would have to be skipped sgain.

The bug is: Both the skipped and the next version didn't apply to me (x64 instead of x86). WITH the skipped entry, SUMO still offered the next version. WITHOUT the skipped entry, SUMO registered my x86 version as up-to-date.

So the skip list entry kept SUMO from correctly checking.

Do you understand?

Kyle_Katarn

2018-07-05 22:02

administrator   ~0002993

Not sure to understand. May I have screenshots ?

Issue History

Date Modified Username Field Change
2018-06-21 09:34 jjhome New Issue
2018-06-22 22:44 Kyle_Katarn Relationship added related to 0004964
2018-06-22 22:45 Kyle_Katarn Assigned To => Kyle_Katarn
2018-06-22 22:45 Kyle_Katarn Status new => feedback
2018-06-22 22:45 Kyle_Katarn Note Added: 0002955
2018-06-25 11:20 jjhome Note Added: 0002957
2018-07-05 22:02 Kyle_Katarn Note Added: 0002993